Get a subscription by its ID
curl --request GET \
--url https://api.devhelm.io/api/v1/service-subscriptions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devhelm.io/api/v1/service-subscriptions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devhelm.io/api/v1/service-subscriptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"subscriptionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"adapterType": "<string>",
"pollingIntervalSeconds": 123,
"enabled": true,
"subscribedAt": "2023-11-07T05:31:56Z",
"category": "<string>",
"officialStatusUrl": "<string>",
"logoUrl": "<string>",
"overallStatus": "<string>",
"componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"component": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalId": "<string>",
"name": "<string>",
"status": "<string>",
"showcase": true,
"onlyShowIfDegraded": true,
"lifecycleStatus": "<string>",
"dataType": "full",
"hasUptime": true,
"displayAggregatedUptime": true,
"firstSeenAt": "2023-11-07T05:31:56Z",
"lastSeenAt": "2023-11-07T05:31:56Z",
"isGroup": true,
"description": "<string>",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 123,
"startDate": "2023-11-07T05:31:56Z",
"vendorCreatedAt": "2023-11-07T05:31:56Z",
"region": "<string>",
"groupName": "<string>",
"childCount": 123,
"uptime": {
"source": "vendor_reported",
"day": 99.95,
"week": 99.98,
"month": 99.92
},
"statusChangedAt": "2023-11-07T05:31:56Z"
}
}
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}Service Subscriptions
Get a subscription by its ID
GET
/
api
/
v1
/
service-subscriptions
/
{id}
Get a subscription by its ID
⌘I